Skip to content

Create Task lucataco/animate-diff

POST https://www.kkiai.com/replicate/v1/predictions

Official documentation: https://replicate.com/lucataco/animate-diff

Request Parameters

Authorization

Add the Authorization parameter to the Header, with its value being the Token concatenated after Bearer

Example: Authorization: Bearer ********************

Header Parameters

Parameter NameTypeRequiredDescriptionExample
AuthorizationstringOptionalBearer {{YOUR_API_KEY}}

Body Parameters (application/json)

Parameter NameTypeRequiredDescription
versionstringOptional
inputobjectOptional
  └ pathstringOptionalSelect a module. Default value: "toonyou_beta3.safetensors".
  └ seedintegerOptional0 = random, maximum value: 2147483647.
  └ stepsintegerOptionalNumber of inference steps. Default value: 25. Minimum value: 1, maximum value: 100.
  └ promptstringOptional
  └ n_promptstringOptionalNegative prompt. Default: "".
  └ motion_modulestringOptionalSelect motion model. Default value: "mm_sd_v14".
  └ guidance_scalenumberOptionalGuidance strength. Default value: 7.5. Minimum value: 1, maximum value: 10.

Request Example

json
{
    "version": "lucataco/animate-diff:beecf59c4aee8d81bf04f0381033dfa10dc16e845b4ae00d281e2fa377e48a9f",
    "input": {
      "path": "toonyou_beta3.safetensors",
      "seed": 255224557,
      "steps": 25,
      "prompt": "masterpiece, best quality, 1girl, solo, cherry blossoms, hanami, pink flower, white flower, spring season, wisteria, petals, flower, plum blossoms, outdoors, falling petals, white hair, black eyes",
      "n_prompt": "badhandv4, easynegative, ng_deepnegative_v1_75t, verybadimagenegative_v1.3, bad-artist, bad_prompt_version2-neg, teeth",
      "motion_module": "mm_sd_v14",
      "guidance_scale": 7.5
    }
  }

cURL Example

bash
curl --location --request POST 'https://www.kkiai.com/replicate/v1/predictions' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "version": "lucataco/animate-diff:beecf59c4aee8d81bf04f0381033dfa10dc16e845b4ae00d281e2fa377e48a9f",
    "input": {
      "path": "toonyou_beta3.safetensors",
      "seed": 255224557,
      "steps": 25,
      "prompt": "masterpiece, best quality, 1girl, solo, cherry blossoms, hanami, pink flower, white flower, spring season, wisteria, petals, flower, plum blossoms, outdoors, falling petals, white hair, black eyes",
      "n_prompt": "badhandv4, easynegative, ng_deepnegative_v1_75t, verybadimagenegative_v1.3, bad-artist, bad_prompt_version2-neg, teeth",
      "motion_module": "mm_sd_v14",
      "guidance_scale": 7.5
    }
  }'

Response

🟢 200 Success

Response Body

Parameter NameTypeRequiredDescription
createdintegerRequired
dataarray[object]Required
  └ urlstringRequired

Response Example

json
{
    "id": "jywwf9nkfnrj20crap0as52zeg",
    "model": "lucataco/animate-diff",
    "version": "beecf59c4aee8d81bf04f0381033dfa10dc16e845b4ae00d281e2fa377e48a9f",
    "input": {
        "guidance_scale": 7.5,
        "motion_module": "mm_sd_v14",
        "n_prompt": "badhandv4, easynegative, ng_deepnegative_v1_75t, verybadimagenegative_v1.3, bad-artist, bad_prompt_version2-neg, teeth",
        "path": "toonyou_beta3.safetensors",
        "prompt": "masterpiece, best quality, 1girl, solo, cherry blossoms, hanami, pink flower, white flower, spring season, wisteria, petals, flower, plum blossoms, outdoors, falling petals, white hair, black eyes",
        "seed": 255224557,
        "steps": 25
    },
    "logs": "",
    "output": null,
    "data_removed": false,
    "error": null,
    "status": "starting",
    "created_at": "2025-07-29T09:25:54.685Z",
    "urls": {
        "cancel": "https://api.replicate.com/v1/predictions/jywwf9nkfnrj20crap0as52zeg/cancel",
        "get": "https://api.replicate.com/v1/predictions/jywwf9nkfnrj20crap0as52zeg",
        "stream": "https://stream.replicate.com/v1/files/qoxq-rtwpkbal3tte26cwukk5qz4jari7vrzuxx747qitukq6pqukjhxq",
        "web": "https://replicate.com/p/jywwf9nkfnrj20crap0as52zeg"
    }
}